gov.ornl.mercury3.commands

## Class CoinsBean

- java.lang.Object
- - gov.ornl.mercury3.commands.CoinsBean

-     public class CoinsBean
      extends Object

  Data Transfer Object that represents the data needed to construct a coins span tag.
  Author:
    sroseboo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoinsBean()`
    `CoinsBean(String pid, String dataUrl, String title, String citationDate, String author, String abstractText, String datasource, ArrayList<String> keywords)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbstractText()`
    `ArrayList<String>` | `getAdditionalInvestigators()`
    `String` | `getAuthor()`
    `String` | `getCitationDate()`
    `String` | `getDatasource()`
    `String` | `getDataUrl()`
    `ArrayList<String>` | `getKeywords()`
    `String` | `getPid()`
    `String` | `getTitle()`
    `void` | `setAbstractText(String abstractText)`
    `void` | `setAdditionalInvestigators(ArrayList<String> additionalInvestigators)`
    `void` | `setAdditionalInvestigatorsFromJsonArray(org.json.JSONArray investigatorsArray)`
    `void` | `setAuthor(String author)`
    `void` | `setCitationDate(String citationDate)`
    `void` | `setDatasource(String datasource)`
    `void` | `setDataUrl(String dataUrl)`
    `void` | `setKeywords(ArrayList<String> keywords)`
    `void` | `setKeywordsFromJsonArray(org.json.JSONArray keywordsArray)`
    `void` | `setPid(String pid)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoinsBean

          public CoinsBean()

    - #### CoinsBean

          public CoinsBean(String pid,
                   String dataUrl,
                   String title,
                   String citationDate,
                   String author,
                   String abstractText,
                   String datasource,
                   ArrayList<String> keywords)

  - ### Method Detail

    - #### getPid

          public String getPid()

    - #### setPid

          public void setPid(String pid)

    - #### getDataUrl

          public String getDataUrl()

    - #### setDataUrl

          public void setDataUrl(String dataUrl)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getCitationDate

          public String getCitationDate()

    - #### setCitationDate

          public void setCitationDate(String citationDate)

    - #### getAuthor

          public String getAuthor()

    - #### setAuthor

          public void setAuthor(String author)

    - #### getAbstractText

          public String getAbstractText()

    - #### setAbstractText

          public void setAbstractText(String abstractText)

    - #### getDatasource

          public String getDatasource()

    - #### setDatasource

          public void setDatasource(String datasource)

    - #### getKeywords

          public ArrayList<String> getKeywords()

    - #### setKeywords

          public void setKeywords(ArrayList<String> keywords)

    - #### setKeywordsFromJsonArray

          public void setKeywordsFromJsonArray(org.json.JSONArray keywordsArray)

    - #### getAdditionalInvestigators

          public ArrayList<String> getAdditionalInvestigators()

    - #### setAdditionalInvestigators

          public void setAdditionalInvestigators(ArrayList<String> additionalInvestigators)

    - #### setAdditionalInvestigatorsFromJsonArray

          public void setAdditionalInvestigatorsFromJsonArray(org.json.JSONArray investigatorsArray)

Copyright © 2016. All rights reserved.